TextCallbackHandler (Java SE 26 & JDK 26)
Description: declaration: module: jdk.security.auth, package: com.sun.security.auth.callback, class: TextCallbackHandler
Keywords: com.sun.security.auth.callback.TextCallbackHandler class

# Class TextCallbackHandler

java.lang.Object
com.sun.security.auth.callback.TextCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class TextCallbackHandler extends Object implements CallbackHandler
Prompts and reads from the command line for answers to authentication questions. This can be used by a JAAS application to instantiate a CallbackHandler

Since:
  1.4
See Also:
  - `javax.security.auth.callback`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextCallbackHandler()`
  Creates a callback handler that prompts and reads from the command line for answers to authentication questions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Callback[] callbacks)`
  Handles the specified set of callbacks.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TextCallbackHandler

    public TextCallbackHandler()
    Creates a callback handler that prompts and reads from the command line for answers to authentication questions. This can be used by JAAS applications to instantiate a CallbackHandler.

- ## Method Details

  - ### handle

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
    Handles the specified set of callbacks.
    Specified by:
      `handle` in interface `CallbackHandler`
    Parameters:
      `callbacks` - the callbacks to handle
    Throws:
      `IOException` - if an input or output error occurs.
      `UnsupportedCallbackException` - if the callback is not an instance of NameCallback or PasswordCallback